#
# spec file for package rubygem-uglifier
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-uglifier
Version:        4.1.5
Release:        lp152.3.3
%define mod_name uglifier
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{ruby >= 1.9.3}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  ruby-macros >= 5
Url:            http://github.com/lautis/uglifier
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Ruby wrapper for UglifyJS JavaScript compressor
License:        MIT and BSD-3-Clause
Group:          Development/Languages/Ruby

%description
Uglifier minifies JavaScript files by wrapping UglifyJS to be accessible in
Ruby.

%prep

%build

%install
%gem_install \
  --doc-files="CHANGELOG.md LICENSE.txt README.md" \
  -f

%gem_packages

%changelog
* Tue Jan 30 2018 cbruckmayer@suse.com
- Update to version 4.1.5
  * update UglifyJS to 3.3.9
  * update uglify-es to 3.3.9
  4.1.4 (22 January 2018)
  * update UglifyJS to 3.3.8
  * update uglify-es to 3.3.8
* Mon Jan  8 2018 enavarro@suse.com
- Updated to version 4.1.3
  * update UglifyJS to 3.3.5
* Tue Jan  2 2018 dkang@suse.com
- Updated to version 4.1.2
  * update UglifyJS to 3.3.4
* Thu Dec 14 2017 hvogel@suse.com
- updated to version 4.0.2
  see installed CHANGELOG.md
* Thu Apr 13 2017 coolo@suse.com
- updated to version 3.2.0
  see installed CHANGELOG.md
  [#]# 3.2.0 (9 April 2017)
  - experimental ES6/Harmony mode based on UglifyJS2 Harmony branch
  - update UglifyJS to 2.8.22
* Tue Apr  4 2017 coolo@suse.com
- updated to version 3.1.13
  see installed CHANGELOG.md
  [#]# 3.1.13 (3 April 2017)
  - update UglifyJS to 2.8.21
  [#]# 3.1.12 (31 March 2017)
  - update UglifyJS to 2.8.20
* Wed Mar 29 2017 coolo@suse.com
- updated to version 3.1.11
  see installed CHANGELOG.md
  [#]# 3.1.11 (28 March 2017)
  - update UglifyJS to 2.8.17
* Sun Mar 26 2017 coolo@suse.com
- updated to version 3.1.10
  see installed CHANGELOG.md
  [#]# 3.1.10 (25 March 2017)
  - update UglifyJS to 2.8.16
* Wed Mar 22 2017 coolo@suse.com
- updated to version 3.1.9
  see installed CHANGELOG.md
  [#]# 3.1.9 (19 March 2017)
  - update UglifyJS to 2.8.14
* Sat Mar 18 2017 coolo@suse.com
- updated to version 3.1.8
  see installed CHANGELOG.md
  [#]# 3.1.8 (17 March 2017)
  - update UglifyJS to 2.8.13
* Thu Mar 16 2017 coolo@suse.com
- updated to version 3.1.7
  see installed CHANGELOG.md
  [#]# 3.1.7 (11 March 2017)
  - fix NoMethodError on `Uglifier.compile(source, source_map: false)` (#114)
  - update UglifyJS to 2.8.12
  [#]# 3.1.6 (9 March 2017)
  - update UglifyJS to 2.8.11
  [#]# 3.1.5 (8 March 2017)
  - update UglifyJS to 2.8.9
  [#]# 3.1.4 (5 March 2017)
  - Update UglifyJS to 2.8.7
  [#]# 3.1.3 (2 March 2017)
  - update UglifyJS to 2.8.5
  - default passes to 1
  - allow source_map option to be `true` instead of a hash
  [#]# 3.1.2 (1 March 2017)
  - fix `reduce_vars` compressor option
  - add `passes` compressor option
  - update UglifyJS to 2.8.4
* Tue Feb 28 2017 coolo@suse.com
- updated to version 3.1.1
  see installed CHANGELOG.md
  [#]# 3.1.1 (27 February 2017)
  - disable `reduce_vars` by default as it causes JS errors (#110)
  [#]# 3.1.0 (27 February 2017)
  - update UglifyJS to 2.8.0
  - add reduce_vars compress option
  - enable `reduce_vars` and `collapse_vars` compress options by default
  - unused top-level function and variable removal with `toplevel` compress option
  - add `top_retain` compress option to specify list of top-level variables to always retain
  - add `unsafe_comps` and `unsafe_proto` options
* Thu Dec  1 2016 coolo@suse.com
- updated to version 3.0.4
  see installed CHANGELOG.md
  [#]# 3.0.4 (30 November 2016)
  - update UglifyJS to 2.7.5
  - implement ignore_quoted and debug options for mangle_properties
* Tue Oct 25 2016 coolo@suse.com
- updated to version 3.0.3
  see installed CHANGELOG.md
  [#]# 3.0.3 (24 October 2016)
  - update UglifyJS to 2.7.4
  - add wrap_iife output option to wrap IIFEs in parenthesis
* Sun Aug 21 2016 coolo@suse.com
- updated to version 3.0.2
  see installed CHANGELOG.md
  [#]# 3.0.2 (20 August 2016)
  - add top-level keep_fnames option that implies both compressor and mangler keep_fnames
  - update UglifyJS to 2.7.3
* Sat Jul 30 2016 coolo@suse.com
- updated to version 3.0.1
  see installed CHANGELOG.md
  [#]# 3.0.1 (28 July 2016)
  - update UglifyJS to 2.7.0
  - split JS dependencies to separate files
* Wed Apr  6 2016 coolo@suse.com
- updated to version 3.0.0
  see installed CHANGELOG.md
  [#]# 3.0.0 (22 March 2016)
  - drop support for Ruby 1.8
  - remove json as dependency
  - discard unused function arguments only in unsafe mode
  - add `keep_fnames` option to preserve function names in compressed code
  - add `collapse_vars` option to collapse single-use variables
  - backwards incompatible changes to source map options
  - support for inline base64 encoded source maps
  - mangle property names option (disabled by default)
  - update UglifyJS to 2.6.2
* Thu Aug 27 2015 coolo@suse.com
- updated to version 2.7.2
  see installed CHANGELOG.md
  [#]# 2.7.2 (26 August 2015)
  - update UglifyJS to 2.4.24
* Sat Feb 28 2015 coolo@suse.com
- updated to version 2.7.1
  - fix compatibility with experimental Alaska ExecJS runtime
* Sat Feb  7 2015 coolo@suse.com
- updated to version 2.7.0
  - copyright comment preservation also includes comments starting with a bang (!)
  - update UglifyJS to 2.4.16
  - allow metadata to be appended to minified code
* Wed Oct 15 2014 coolo@suse.com
- add gem2rpm.yml to fix license
* Wed Oct 15 2014 coolo@suse.com
- updated to version 2.5.3
  - update UglifyJS to 2.4.15
* Mon Oct 13 2014 adrian@suse.de
- adapt to new rubygem packaging style
* Tue Mar 18 2014 coolo@suse.com
- updated to version 2.5.0
  - update UglifyJS to 2.4.13
  - process Angular @ngInject annotations
  - add keep_fargs option
  - change `ascii_only` default to true
* Fri Dec 20 2013 coolo@suse.com
- updated to version 2.4.0
  - update UglifyJS to 2.4.8
  - add drop_console compress option
* Fri Dec 13 2013 coolo@suse.com
- updated to version 2.3.3
  - update UglifyJS to 2.4.7
* Tue Dec  3 2013 coolo@suse.com
- updated to version 2.3.2
  - update UglifyJS to 2.4.6
  - document missing mangler and output options
* Fri Nov 22 2013 coolo@suse.com
- updated to version 2.3.1
  - update UglifyJS to 2.4.3
* Thu Oct 31 2013 coolo@suse.com
- updated to version 2.3.0
  - use JSON gem instead of multi_json
  - update UglifyJS to 2.4.1
  - fix issues with some Unicode JS identifiers (#47, #58)
* Fri Aug 30 2013 coolo@suse.com
- updated to version 2.2.1
  - fix IE8 compatibility
* Mon Aug 26 2013 coolo@suse.com
- updated to version 2.2.0
  - update UglifyJS to 2.4.0
  - add `negate_iife` compressor option
  - escape null characters as \x00, so that null followed by number isn't
    interpreted as octal (#47)
* Sat Jul 20 2013 coolo@suse.com
- updated to version 2.1.2
  - update UglifyJS to 2.3.6
  - fix JScript compatibility
  - update UglifyJS to 2.3.4
* Fri May 24 2013 coolo@suse.com
- updated to version 2.1.1
  - update to UglifyJS 2.3.4
* Thu May  9 2013 coolo@suse.com
- updated to version 2.1.0
  - update to UglifyJS 2.3.0
  - add enclose and screw_ie8 options
  - fix compatibility with Sprockets 2.9.0
* Fri Apr 12 2013 coolo@suse.com
- updated to version 2.0.1, new javascript version
* Mon Sep  3 2012 coolo@suse.com
- updated to version 1.3.0, work with different multi_json versions
* Fri Aug  3 2012 coolo@suse.com
- updated to version 1.2.7, updated javascript
* Fri Jul  6 2012 coolo@suse.com
- update to 1.2.6, bug fixes
* Fri Jun 29 2012 cfarrell@suse.com
- license update: MIT and BSD-3-Clause
  LICENSE.txt is MIT but uglifier.js is BSD
* Fri Jun 22 2012 coolo@suse.com
- update to 1.2.5, bug fixes
* Tue Apr 17 2012 coolo@suse.com
- update to 1.2.4
